# -*- encoding: utf-8 -*-
# stub: sensu-plugins-network-checks 5.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "sensu-plugins-network-checks".freeze
  s.version = "5.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "development_status" => "active", "maintainer" => "sensu-plugin", "production_status" => "unstable - testing recommended", "release_draft" => "false", "release_prerelease" => "false" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Sensu-Plugins and contributors".freeze]
  s.date = "2020-01-26"
  s.description = "This plugin provides native network instrumentation\n                              for monitoring and metrics collection, including:\n                              hardware, TCP response, RBLs, whois, port status, and more".freeze
  s.email = "<sensu-users@googlegroups.com>".freeze
  s.executables = ["check-ports-bind.rb".freeze, "check-whois-domain-expiration-multi.rb".freeze, "check-rbl.rb".freeze, "metrics-netstat-tcp.rb".freeze, "check-socat.rb".freeze, "check-multicast-groups.rb".freeze, "check-jsonwhois-domain-expiration.rb".freeze, "check-mtu.rb".freeze, "check-ports.rb".freeze, "metrics-ping.rb".freeze, "metrics-interface.rb".freeze, "check-banner.rb".freeze, "check-whois-domain-expiration.rb".freeze, "check-ports-nmap.rb".freeze, "check-ping.rb".freeze, "check-netstat-tcp.rb".freeze, "check-netfilter-conntrack.rb".freeze, "metrics-sockstat.rb".freeze, "metrics-netif.rb".freeze, "metrics-net.rb".freeze]
  s.files = ["bin/check-banner.rb".freeze, "bin/check-jsonwhois-domain-expiration.rb".freeze, "bin/check-mtu.rb".freeze, "bin/check-multicast-groups.rb".freeze, "bin/check-netfilter-conntrack.rb".freeze, "bin/check-netstat-tcp.rb".freeze, "bin/check-ping.rb".freeze, "bin/check-ports-bind.rb".freeze, "bin/check-ports-nmap.rb".freeze, "bin/check-ports.rb".freeze, "bin/check-rbl.rb".freeze, "bin/check-socat.rb".freeze, "bin/check-whois-domain-expiration-multi.rb".freeze, "bin/check-whois-domain-expiration.rb".freeze, "bin/metrics-interface.rb".freeze, "bin/metrics-net.rb".freeze, "bin/metrics-netif.rb".freeze, "bin/metrics-netstat-tcp.rb".freeze, "bin/metrics-ping.rb".freeze, "bin/metrics-sockstat.rb".freeze]
  s.homepage = "https://github.com/sensu-plugins/sensu-plugins-network-checks".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "You can use the embedded Ruby by setting EMBEDDED_RUBY=true in /etc/default/sensu".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.3".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Sensu plugins for checking network hardware, connections, and data".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<sensu-plugin>.freeze, ["~> 4.0"])
    s.add_runtime_dependency(%q<activesupport>.freeze, ["~> 4.2"])
    s.add_runtime_dependency(%q<dnsbl-client>.freeze, ["= 1.0.4"])
    s.add_runtime_dependency(%q<net-ping>.freeze, ["= 2.0.6"])
    s.add_runtime_dependency(%q<whois>.freeze, [">= 4.0"])
    s.add_runtime_dependency(%q<whois-parser>.freeze, ["~> 1.2"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 2.1"])
    s.add_development_dependency(%q<github-markup>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_development_dependency(%q<rdoc>.freeze, ["~> 6.2.0"])
    s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.1"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.79.0"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.9.11"])
  else
    s.add_dependency(%q<sensu-plugin>.freeze, ["~> 4.0"])
    s.add_dependency(%q<activesupport>.freeze, ["~> 4.2"])
    s.add_dependency(%q<dnsbl-client>.freeze, ["= 1.0.4"])
    s.add_dependency(%q<net-ping>.freeze, ["= 2.0.6"])
    s.add_dependency(%q<whois>.freeze, [">= 4.0"])
    s.add_dependency(%q<whois-parser>.freeze, ["~> 1.2"])
    s.add_dependency(%q<bundler>.freeze, ["~> 2.1"])
    s.add_dependency(%q<github-markup>.freeze, ["~> 3.0"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_dependency(%q<rdoc>.freeze, ["~> 6.2.0"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.1"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.79.0"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9.11"])
  end
end
